/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ch.capi.net;

import ch.capi.facade.FacadeBeanRemote;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * @author ctabin
 */
public class FacadePage
{
    //---------//
    //Constants//
    //---------//

    //---------//
    //Variables//
    //---------//
    private FacadeBeanRemote facadeBean = lookupFacadeBeanRemote();

    //-----------//
    //Constructor//
    //-----------//

    /**
     * Creates a new FacadePage object.
     */
    public FacadePage() {}

    //--------------//
    //Public methods//
    //--------------//

    public void create()
    {
        facadeBean.create();
    }

    public void reset()
    {
        facadeBean.reset();
    }

    public String query(String query)
    {
        return facadeBean.executeQuery(query);
    }

    private FacadeBeanRemote lookupFacadeBeanRemote() {
        try {
            Context c = new InitialContext();
            return (FacadeBeanRemote) c.lookup("java:global/OuterJoin/OuterJoin-ejb/FacadeBean!ch.capi.facade.FacadeBeanRemote");
        } catch (NamingException ne) {
            Logger.getLogger(getClass().getName()).log(Level.SEVERE, "exception caught", ne);
            throw new RuntimeException(ne);
        }
    }

    //-----------------//
    //Protected methods//
    //-----------------//

    //---------------//
    //Private methods//
    //---------------//
}
