<%--
    Document   : index
    Created on : Jun 30, 2009, 4:31:47 PM
    Author     : ctabin
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<jsp:useBean id="indexPage" class="ch.capi.net.FacadePage" scope="session" />
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Annotation tester</title>
    </head>
    <body>
        <%
        boolean paintTest = false;
        boolean paintCreate = true;
        boolean paintReset = false;

        String query = request.getParameter("queryTest");
        if (query == null) query = "";

        String ct = request.getParameter("callTest");
        if (ct != null && ct.equalsIgnoreCase("true"))
        {
            String result = indexPage.query(query);
            out.println("------------------------------------------");
            out.println(result);
            out.println("------------------------------------------");

            paintReset = true;
            paintTest = true;
            paintCreate = false;
        }

        String cr = request.getParameter("callCreate");
        if (cr != null && cr.equalsIgnoreCase("true"))
        {
            indexPage.create();

            paintReset = true;
            paintTest = true;
            paintCreate = false;
        }

        String rs = request.getParameter("callReset");
        if (rs != null && rs.equalsIgnoreCase("true"))
        {
            indexPage.reset();
        }

        if (paintTest)
        {
        %>
        <form method="post" name="fquery">
            <input type="hidden" name="callTest" value="true" />
            <textarea name="queryTest" rows="5" cols="200"><%= query %></textarea><br />
            <input type="submit" value="Test Query" />
            <input type="button" value="Person" onClick="javascript:document.forms.fquery.queryTest.value='SELECT p FROM Person p'" />
            <input type="button" value="Address" onClick="javascript:document.forms.fquery.queryTest.value='SELECT a FROM Address a'" /><br /><br />
            <input type="button" value="Person with Address 1" onClick="javascript:document.forms.fquery.queryTest.value='SELECT DISTINCT p FROM Person p, Address a WHERE a.person = p'" /><br />
            <input type="button" value="Person with Address 2" onClick="javascript:document.forms.fquery.queryTest.value='SELECT DISTINCT p FROM Person p INNER JOIN p.addresses a'" /><br />
            <br />
            <input type="button" value="All Person in Sierre" onClick="javascript:document.forms.fquery.queryTest.value='SELECT DISTINCT p FROM Person p LEFT JOIN p.addresses a WHERE (a.npa=\'3960\' OR a.npa IS NULL)'" /> <-- Works because all the persons an address matching the constraint or no address<br />
            <input type="button" value="All Person in Lausanne 1" onClick="javascript:document.forms.fquery.queryTest.value='SELECT DISTINCT p FROM Person p LEFT JOIN p.addresses a WHERE (a.npa=\'1018\' OR a.npa IS NULL)'" /> <-- Doesn't work (not all people are listed) because some persons may have addresses that doesn't match the constraint<br />
            <input type="button" value="All Person in Lausanne 2" onClick="javascript:document.forms.fquery.queryTest.value='SELECT DISTINCT p FROM Person p LEFT JOIN p.addresses AS a WITH (a.npa=\'1018\' OR a.npa IS NULL)'" /> <-- Works but it is Hibernate-dependent...
            <br />
            <br />
        </form>
        <%
        }

        if (paintCreate)
        {
        %>
        <form method="post">
            <input type="hidden" name="callCreate" value="true" />
            <input type="submit" value="Create" />
        </form>
        <%
        }

        if (paintReset)
        {
        %>
        <form method="post">
            <input type="hidden" name="callReset" value="true" />
            <input type="submit" value="Reset" />
        </form>
        <%
        }
        %>
    </body>
</html>
